Module
Inhalte
Index 🔎︎

# Funktion Str

Konvertiert einen numerischen Ausdruck in eine Zeichenkette.

## Syntax:

    Str (Ausdruck)

## Rückgabewert:

String

## Parameter:

Ausdruck: Beliebiger numerischer Ausdruck.

Die Funktion Str konvertiert eine numerische Variable oder das Ergebnis einer Berechnung in eine Zeichenkette. Negativen Zahlen wird ein Minuszeichen vorangestellt. Positiven Zahlen wird statt des Pluszeichens ein Leerzeichen vorangestellt.

## Fehlercodes:

5 Ungültiger Prozeduraufruf

## Beispiel:

    Sub ExampleStr

    Dim iVar As Single

    Dim sVar As String

        iVar = 123.123

        sVar = LTrim(Str(iVar))

        MsgBox sVar & chr(13) & Str(iVar)

    End Sub